BASE_URI = 'https://pokeapi.co/api/v2/'.freeze
ENDPOINT_OBJECTS = {
  ability: PokeApi::Ability,
  berry_firmness: PokeApi::BerryFirmness,
  berry_flavor: PokeApi::BerryFlavor,
  berry: PokeApi::Berry,
  characteristic: PokeApi::Characteristic,
  contest_effect: PokeApi::ContestEffect,
  contest_type: PokeApi::ContestType,
  egg_group: PokeApi::EggGroup,
  encounter_condition_value: PokeApi::EncounterConditionValue,
  encounter_condition: PokeApi::EncounterCondition,
  encounter_method: PokeApi::EncounterMethod,
  evolution_chain: PokeApi::EvolutionChain,
  evolution_trigger: PokeApi::EvolutionTrigger,
  gender: PokeApi::Gender,
  generation: PokeApi::Generation,
  growth_rate: PokeApi::GrowthRate,
  item_attribute: PokeApi::ItemAttribute,
  item_category: PokeApi::ItemCategory,
  item_fling_effect: PokeApi::ItemFlingEffect,
  item_pocket: PokeApi::ItemPocket,
  item: PokeApi::Item,
  language: PokeApi::Utility::Language,
  location_area: PokeApi::LocationArea,
  location: PokeApi::Location,
  machine: PokeApi::Machine,
  move_ailment: PokeApi::MoveAilment,
  move_battle_style: PokeApi::MoveBattleStyle,
  move_category: PokeApi::MoveCategory,
  move_damage_class: PokeApi::MoveDamageClass,
  move_learn_method: PokeApi::MoveLearnMethod,
  move_target: PokeApi::MoveTarget,
  move: PokeApi::Move,
  nature: PokeApi::Nature,
  pal_park_area: PokeApi::PalParkArea,
  pokeathlon_stat: PokeApi::PokeathlonStat,
  pokedex: PokeApi::Pokedex,
  pokemon_color: PokeApi::PokemonColor,
  pokemon_form: PokeApi::PokemonForm,
  pokemon_habitat: PokeApi::PokemonHabitat,
  pokemon_shape: PokeApi::PokemonShape,
  pokemon_species: PokeApi::PokemonSpecies,
  pokemon: PokeApi::Pokemon,
  region: PokeApi::Region,
  stat: PokeApi::Stat,
  super_contest_effect: PokeApi::SuperContestEffect,
  type: PokeApi::Type,
  version_group: PokeApi::VersionGroup,
  version: PokeApi::Version
}.freeze
COMMON_MODELS = {
  description: PokeApi::Common::Description,
  effect: PokeApi::Common::Effect,
  encounter: PokeApi::Common::Encounter,
  flavor_text: PokeApi::Common::FlavorText,
  generation_game_index: PokeApi::Common::GenerationGameIndex,
  machine_version_detail: PokeApi::Common::MachineVersionDetail,
  names: PokeApi::Common::Name,
  verbose_effect: PokeApi::Common::VerboseEffect,
  version_encounter_detail: PokeApi::Common::VersionEncounterDetail,
  version_game_index: PokeApi::Common::VersionGameIndex,
  version_group_flavor_text: PokeApi::Common::VersionGroupFlavorText
}.freeze
PATH = File.dirname(__FILE__)
POKEMON_COUNT = 751
